{
    "global_error_requiredField": "Please do not leave this field empty.",
    "global_error_minLength": "Please enter at least {count} characters.",
    "global_error_maxLength": "Please enter no more than {count} characters.",
    "global_text_agree": "Agree",
    "global_text_disagree": "Disagree",
    "global_text_currentlyActive": "Currently active",
    "global_text_newLesson": "New",
    "global_text_available": "Available",
    "global_text_assignment": "Assignment",
    "global_text_questionTrueFalse": "True/False",
    "global_text_questionSingleChoice": "Single choice",
    "global_text_save": "Save",
    "global_text_submit": "Submit",
    "global_text_algebraAndArithmetic": "Algebra and Arithmetic",
    "global_text_relations": "Relations",
    "global_text_operators": "Operators",
    "global_text_greekLetters": "Greek letters",
    "global_text_functions": "Functions",
    "global_text_sendMessage": "Send message",
    "global_text_newMessage": "New message",
    "global_text_writeMessage": "Write message",
    "global_text_close": "Close",
    "global_text_send": "Send",
    "global_text_back": "Back",
    "global_text_repeat": "Repeat",

    "signInScreen_text_introduction": "Your journey to mathematics starts here.",
    "signInScreen_error_submitError": "Sign-in action failed. Please try again later.",

    "signInForm_inputs_userName": "Username",
    "signInForm_inputs_password": "Password",
    "signInForm_actions_formSubmit": "Sign in",
    "signInForm_errors_invalidCredentials": "Invalid credentials.",

    "enrollmentConsentScreen_text_title": "Participation in Research",
    "enrollmentConsentScreen_text_introduction": "Thank you for considering participation in this research project. Below you’ll find an overview of what participation means. If you agree with everything, you can confirm your consent at the end. Without it, the app cannot be used.",
    "enrollmentConsentScreen_text_aboutResearchTitle": "About the Research",
    "enrollmentConsentScreen_text_aboutResearchDescription": "The goal of this research is to find out whether applications based on artificial intelligence can help high school students with mathematics. This application uses so-called large language models, which can create exercises and assist with explanations.",
    "enrollmentConsentScreen_text_expectationsTitle": "What to Expect?",
    "enrollmentConsentScreen_text_expectationsDescription": "The app will be used at school – usually at the end of math lessons, for about the last 5 minutes. It is designed so you can individually review what you’ve just learned. You can also use it at home or anytime you want to review or clarify the material.",
    "enrollmentConsentScreen_text_dataExtractionTitle": "What data do we collect?",
    "enrollmentConsentScreen_text_dataExtractionDescription": "We record how you use the app – for example, which exercises you work on, whether they are created correctly, whether you improve in specific topics, and how you interact with the application.",
    "enrollmentConsentScreen_text_dataRetentionTitle": "What happens to the data?",
    "enrollmentConsentScreen_text_dataRetentionDescription": "Your data is used solely for research purposes. Only the research team has access to it, and only your teacher can link it to your identity.",
    "enrollmentConsentScreen_text_researchParticipationTitle": "Is participation voluntary?",
    "enrollmentConsentScreen_text_researchParticipationDescription": "Your participation is completely voluntary. If you decide not to participate, please inform your teacher. You can then uninstall the app from your phone.",
    "enrollmentConsentScreen_text_researchWithdrawalTitle": "Can I withdraw at any time?",
    "enrollmentConsentScreen_text_researchWithdrawalDescription": "Yes, you can withdraw at any time. Simply inform your teacher, who will discuss the next steps with you. If it does not disrupt the course of teaching, your access to the app will be revoked and all your existing data will be deleted.",
    "enrollmentConsentScreen_text_contactTitle": "Do you have any questions?",
    "enrollmentConsentScreen_text_contactFirstDescription": "If something is unclear or you would like to ask a question, you can contact:",
    "enrollmentConsentScreen_text_contactSecondDescription": "We will be happy to answer any questions related to the app or the research.",
    "enrollmentConsentScreen_text_tutorContactText": "your teacher",
    "enrollmentConsentScreen_text_researchTeamText": "research team",

    "dashboardCourseCard_text_lessonCount": "{count, plural, =0{0 lessons} =1{1 lesson} other{{count} lessons}}",
    "dashboardScreen_text_newLessonsTitle": "New Lessons",
    "dashboardScreen_text_weeklyOverview": "Weekly Overview",
    "dashboardCourseCard_text_lessonOrder": "Lesson {order}",
    
    "appLayout_text_homeRouteName": "Home",
    "appLayout_text_courseRouteName": "Course",
    "appLayout_text_profileRouteName": "Profile",
    "appLayout_text_settingsRouteName": "Settings",

    "courseDetailScreen_text_activeFrom": "Active from",
    "courseDetailScreen_text_activeTo": "Active until",
    "courseDetailScreen_text_lessonsTitle": "Lessons",
    "courseDetailScreen_error_contentError": "Failed to load all necessary data to display the course. Please try again or follow the instructions below.",

    "courseLessonItem_text_lessonAvailableFrom": "Available from",
    "courseLessonItem_text_lessonAvailable": "Available",

    "courseLessonDetailScreen_text_lessonTitle": "Lesson",
    "courseLessonDetailScreen_text_lessonActivitiesTitle": "Activities",
    "courseLessonDetailScreen_text_availableFrom": "From {availability}",
    "courseLessonDetailScreen_text_availableUntil": "Until {availability}",
    "courseLessonDetailScreen_text_practiceTitle": "Practice",
    "courseLessonDetailScreen_text_randomizedPracticeTitle": "Random Practice",
    "courseLessonDetailScreen_text_randomizedPracticeSubtitle": "Practice a random lesson exercise",
    "courseLessonDetailScreen_text_practiceSubtitle": "Practice an exercise from the topic",
    "courseLessonDetailScreen_text_history": "History",
    "courseLessonDetailScreen_error_contentError": "Failed to load all necessary data to display the lesson. Please try again or follow the instructions below.",

    "assignmentDetailScreen_text_tasksTitle": "Tasks",
    "assignmentDetailScreen_text_submitAssignment": "Submit Assignment",
    "assignmentDetailScreen_error_expirationError": "The assignment could not be submitted because the submission period has expired.",
    "assignmentDetailScreen_error_submitError": "Failed to submit the assignment. Please try again later.",
    "assignmentDetailScreen_error_contentError": "Failed to load all necessary data to display the assignment. Please try again or follow the instructions below.",

    "assignmentDetailSubmitDialog_text_submissionTitle": "Saving and Submitting the Assignment",
    "assignmentDetailSubmitDialog_text_limitedSubmissionDescription": "You can save your progress on the assignment at any time and return to it later. However, to successfully complete the assignment, it must be submitted no later than {availability}.",
    "assignmentDetailSubmitDialog_text_submissionDescription": "You can save your progress on the assignment at any time and return to it later. However, to successfully complete the assignment, it must be submitted.",

    "assignmentTaskDetailScreen_text_hintsLabel": "Hint",
    "assignmentTaskDetailScreen_text_submitLabel": "Submit",
    "assignmentTaskDetailScreen_text_chatLabel": "Assistant",
    "assignmentTaskDetailScreen_error_contentError": "Failed to load all necessary data to display the task. Please try again or follow the instructions below.",
    "assignmentTaskDetailScreen_error_flagError": "Failed to report the task. Please try again later.",

    "assignmentHintScreen_text_hintTitle": "{position}. hint",
    "assignmentHintScreen_text_noHints": "No hints",
    "assignmentHintScreen_actions_getHint": "Get hint ({remaining}/{count})",
    "assignmentHintScreen_text_noMessages": "No messages",
    "assignmentHintScreen_error_contentError": "Failed to load all necessary data for the hint feature. Please try again or follow the instructions below.",
    "assignmentHintScreen_error_messageError": "Failed to retrieve a hint. Please try again later.",

    "assignmentChatInputSheet_text_snippets": "Formulas",
    "assignmentChatInputSheet_text_chatMessagePlaceholder": "Write a message or use formulas",

    "assignmentChatScreen_error_contentError": "Failed to load all necessary data for the assistant feature. Please try again or follow the instructions below.",
    "assignmentChatScreen_error_messageError": "Failed to send the message. Please try again later.",

    "courseLessonPracticeHistoryScreen_text_practiceHistoryTitle": "Practice History",
    "courseLessonPracticeHistoryScreen_text_noHistory": "No records",
    "courseLessonPracticeHistoryScreen_text_practiceTitle": "Practice",
    "courseLessonPracticeHistoryScreen_error_contentError": "Failed to load the practice history. Please try again or follow the instructions below.",

    "assignmentTaskFlagDialog_text_flagTitle": "Report Exercise",
    "assignmentTaskFlagDialog_text_flagDescription": "If an exercise has an incorrect solution or is otherwise problematic, please report it here and describe the issue in your message.",
    "assignmentTaskFlagDialog_text_flagContentPlaceholder": "Report text",

    "userProfileScreen_text_weeklyEntries": "Weekly Overview",
    "userProfileScreen_text_unkownUser": "Unknown User",
    "userProfileScreen_text_unkownUserInitials": "UU",
    "userProfileScreen_error_weeklyError": "Failed to load overview.",

    "errorScreenContent_text_title": "An Error Occurred",
    "errorScreenContent_text_instructions": "What to Do",
    "errorScreenContent_text_dialogTitle": "How to Handle an Error",
    "errorScreenContent_text_whatToDo": "If you encounter an error in the app, don’t hesitate to record it. Try to note exactly what happened – which steps you took, what you clicked on, or what data you entered. If an error message appeared, copy it or take a screenshot to make it easier to understand and fix the issue.",
    "errorScreenContent_text_whomToContact": "Once you have your description ready, send it to the email provided below. If sending an email is not convenient, you can also share the information directly with your teacher. The more detailed your description, the faster and easier the error can be resolved.",
    "errorScreenContent_text_thankToUser": "Thank you for actively helping to improve the app. Your contribution will make using it more enjoyable not only for you but also for all other students.",

    "assignmentHintLoadingScreen_error_loadingFailed": "Failed to load all necessary data for using the hint feature. Please try again or follow the instructions below.",

    "genericErrorScreen_text_description": "An unknown error occurred. If the error persists even after restarting the app, please contact the app administrator.",

    "assignmentLoadingScreen_error_loadingFailed": "Failed to load all necessary data for the assignment details. Please try again or follow the instructions below.",

    "assignmentChatLoadingScreen_error_loadingFailed": "Failed to load all necessary data for using the assistant. Please try again or follow the instructions below.",

    "assignmentGenerationScreen_error_generationFailed": "Failed to generate the assignment. Please try again or follow the instructions below."
}